Summary: allow applications to export a menu into the Unity Menu bar
Name: libappindicator
Version: 12.10.0
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

License: LGPLv3
URL: https://launchpad.net/libappindicator
Source0: %{name}-%{version}.tar.gz
Patch0: 0001_Fix_mono_dir.patch
# https://bazaar.launchpad.net/~indicator-applet-developers/libappindicator/trunk.16.10/revision/285
Patch1: incompatible_pointer_build_fix.patch
Patch2: nopython.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk3-devel >= 2.91
BuildRequires: glib2-devel >= 2.26
BuildRequires: libindicator-devel >= 0.4.93

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk-doc
BuildRequires:  vala
BuildRequires:  dbus-glib-devel
BuildRequires:  libdbusmenu-devel
BuildRequires:  libdbusmenu-gtk-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  libindicator-devel
BuildRequires:  libindicator-gtk3-devel

%description
A library to allow applications to export a menu into the Unity Menu bar.
Based on KSNI it also works in KDE and will fallback to generic Systray
support if none of those are available.

%package devel
Summary: Header files and libraries for developing apps which will use %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libraries.

%prep
%setup -q

%build
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure --with-gtk=3
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%__rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}3.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/girepository-1.0/AppIndicator3-0.1.typelib
%{_libdir}/%{name}3.so.*
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/gtk-doc/html/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}3-0.1
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/appindicator3-0.1.pc

%changelog
* Sun May 20 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 12.10.0-1
- Initial build.

